### Method

# WebKit InputMethodContext set_input_purpose

since: 2.28

#### Declaration [src]

    void
    webkit_input_method_context_set_input_purpose (
      WebKitInputMethodContext* context,
      WebKitInputPurpose purpose
    )

#### Description [src]

Set the value of the `WebKitInputMethodContext:input-purpose` property.

Available since: 2.28

Sets property | `WebKit.InputMethodContext:input-purpose`

#### Parameters

`purpose`

  Type: `WebKitInputPurpose`

  A `WebKitInputPurpose`.